/**
 *Extiende la Clase {@link Persona Persona}, agregandole el parametro Promedio Ponderado y el metodo getPromedioPonderado.
 * @author Nelson Lopez C., Jaime Stockle O.
 */
public class Estudiante extends Persona  implements Comparable{
    protected Estudiante() {}
    public Estudiante(String nombre, float promedioPonderado) {
        super(nombre);
        pp= promedioPonderado;
    }
    /** 
     * Obtiene el promedio ponderado del estudiante.
     * @return Promedio ponderado del estudiante.
     */
    public float getPromedioPonderado() {
        return pp;
    }
    /**
     * Implementa la clase {@link Comparable Comparable} comparando los promedios ponderados de los estudiantes.
     * @param anotherEstudiante otro estudiante con el que se va a comprar.
     * @return 0 si los promedios sean iguales,
     *  1 si el promedio de anotherEstudiante es menor
     * -1 si el promedio de anotherEstudiante es mayor.
     */
    public int compareTo(Object anotherEstudiante) throws ClassCastException {
        if (!(anotherEstudiante instanceof Estudiante))
            throw new ClassCastException("A Estudiante object expected.");
        float anotherAvarage = ((Estudiante) anotherEstudiante).getPromedioPonderado();  
        if (this.pp > anotherAvarage)
            return 1;  
        if (this.pp < anotherAvarage)
            return -1;
        return 0;  
    }
    private float pp;
}

