import java.io.*;
import java.util.*;
/**
 * genera un (@link BufferedReader BufferedReader) reader para leer el archivo del argumento.
 * genera un (@link LineCounter LineCounter) LC para contar las lineas del archivo del argumento.
 * @author Nelson Lopez C., Jaime Stockle O.
 */
public class LectorEstudiantes {
    /**
     * Contructor de (@link LectorEstudiante LectorEstudiante)
     * @param s archivo con estudiantes (uno por linea)
     */
    public LectorEstudiantes(String s) {
        LineCounter LC =new LineCounter();
        try{
            File F = new File(s);
            N = LC.countLines(F);
            reader= new BufferedReader(new FileReader(s));    
        }catch(IOException e){
            System.err.println("Error de I/O");
        }
    }
    /**
     * Obtiene arreglo de (@link Estudiante Estudiante) leyendo de archivo espesificado en s y le asigna a cada (@link Estudiante Estudiante) una nota aleatoria entre 500 y 100.
     * @return arreglo de (@link Estudiante Estudiante)
     */
    public Estudiante[] getEstudiantes() {
        Estudiante[] arr =new Estudiante[N]; 
        try{
            String line = reader.readLine();
            Random rnd = new Random();
            rnd.setSeed(1717);
            i=0;
            while(line!=null) {
                float grade = (float)(rnd.nextDouble()*45.0 + 55);
                arr[i]= new Estudiante(line,grade);
                line = reader.readLine();
                i++;
            }       
        }catch(IOException e){
            System.err.println("Error de I/O");
        }
        return arr;
    }  
    private int N;
    private BufferedReader reader;
    private int i=0;
}